"

opensslがrequireできない

require 'openssl'

requireしたら、怒られた。

no such file to load -- openssl (LoadError)

解決手順

id:TrinityTさんの下記記事通り実行して、解決。

RVMのRuby環境にreadline,openssl,zlibなどのライブラリを追加インストールする - TrinityT’s LABO

$ rvm package install openssl
$ rvm install 1.9.2 -C --with-openssl-dir=$HOME/.rvm/usr
"

no such file to load — openssl (LoadError)とか言われたら - rderaログ